uuid: d99a5fbb-433d-435b-981e-b24b506ab9bd
langcode: en
status: true
dependencies:
  config:
    - node.type.islandora_object
  module:
    - node
_core:
  default_config_hash: n81NhKrT4b0VmaCadxopeFtLeGA_lb-Nu4cWADb4zV4
id: node.islandora_object
targetEntityType: node
bundle: islandora_object
types:
  - 'pcdm:Object'
fieldMappings:
  field_full_title:
    properties:
      - 'rdau:P60515'
  field_alt_title:
    properties:
      - 'dcterms:alternative'
  field_edtf_date:
    properties:
      - 'dcterms:date'
    datatype_callback:
      callable: 'Drupal\controlled_access_terms\EDTFConverter::dateIso8601Value'
  field_edtf_date_created:
    properties:
      - 'dcterms:created'
    datatype_callback:
      callable: 'Drupal\controlled_access_terms\EDTFConverter::dateIso8601Value'
  field_edtf_date_issued:
    properties:
      - 'dcterms:issued'
    datatype_callback:
      callable: 'Drupal\controlled_access_terms\EDTFConverter::dateIso8601Value'
  field_copyright_date:
    properties:
      - 'dcterms:dateCopyrighted'
    datatype_callback:
      callable: 'Drupal\controlled_access_terms\EDTFConverter::dateIso8601Value'
  field_date_captured:
    properties:
      - 'premis:creation'
    datatype_callback:
      callable: 'Drupal\controlled_access_terms\EDTFConverter::dateIso8601Value'
  field_date_modified:
    properties:
      - 'dcterms:modified'
    datatype_callback:
      callable: 'Drupal\controlled_access_terms\EDTFConverter::dateIso8601Value'
  field_date_valid:
    properties:
      - 'dcterms:valid'
    datatype_callback:
      callable: 'Drupal\controlled_access_terms\EDTFConverter::dateIso8601Value'
  field_frequency:
    properties:
      - 'rdau:P60538'
  field_mode_of_issuance:
    properties:
      - 'rdau:P60051'
  field_description:
    properties:
      - 'dcterms:description'
  field_abstract:
    properties:
      - 'dcterms:abstract'
  field_extent:
    properties:
      - 'dcterms:extent'
  field_identifier:
    properties:
      - 'dcterms:identifier'
  field_member_of:
    properties:
      - 'pcdm:memberOf'
    mapping_type: rel
  field_resource_type:
    properties:
      - 'dcterms:type'
    mapping_type: rel
  field_rights:
    properties:
      - 'dc11:rights'
  field_subject_general:
    properties:
      - 'dcterms:subject'
    mapping_type: rel
  field_subject:
    properties:
      - 'dcterms:subject'
    mapping_type: rel
  field_language:
    properties:
      - 'dcterms:language'
  field_genre:
    properties:
      - 'dcterms:type'
  field_physical_form:
    properties:
      - 'dcterms:format'
  field_edition:
    properties:
      - 'rdau:P60329'
  field_place_published:
    properties:
      - 'relators:pup'
  field_place_published_country:
    properties:
      - 'relators:pup'
  field_table_of_contents:
    properties:
      - 'dcterms:tableOfContents'
  field_coordinates:
    properties:
      - 'dcterms:spatial'
  field_coordinates_text:
    properties:
      - 'dcterms:spatial'
  field_classification:
    properties:
      - 'dc11:subject'
  field_dewey_classification:
    properties:
      - 'dc11:subject'
  field_lcc_classification:
    properties:
      - 'dc11:subject'
  field_subjects_name:
    properties:
      - 'dcterms:subject'
  field_temporal_subject:
    properties:
      - 'dcterms:temporal'
  field_geographic_subject:
    properties:
      - 'dcterms:spatial'
  field_isbn:
    properties:
      - 'dbpedia:isbn'
  field_oclc_number:
    properties:
      - 'dbpedia:oclc'
  field_local_identifier:
    properties:
      - 'dcterms:identifier'
  field_note:
    properties:
      - 'skos:note'
  field_weight:
    properties:
      - 'co:index'
  field_linked_agent:
    properties:
      - 'dcterms:contributor'
  title:
    properties:
      - 'dcterms:title'
  created:
    properties:
      - 'schema:dateCreated'
    datatype_callback:
      callable: 'Drupal\rdf\CommonDataConverter::dateIso8601Value'
  changed:
    properties:
      - 'schema:dateModified'
    datatype_callback:
      callable: 'Drupal\rdf\CommonDataConverter::dateIso8601Value'
  uid:
    properties:
      - 'schema:author'
    mapping_type: rel
